Skip to main content
POST
Save HubSpot contact-to-donor fields

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

connection_id
integer
required

Connection id in the current organization.

Body

application/json

Validated request fields for this operation.

hysform_id
integer
required

Hysform id. Validation: required, integer.

Example:

1

field_mappings
object[]
required

Field mappings. Validation: required, array.

source_of_truth
enum<string> | null

Source of truth. Validation: nullable; allowed values: provider, hys, bidirectional.

Available options:
provider,
hys,
bidirectional,
null
Example:

"provider"

allow_email_match
boolean | null

Allow email match. Validation: nullable, boolean.

Example:

true

Response

Operation result.

status
string
Example:

"success"

data
object

Activity-setting saves return only connection; other mapping saves include the newly approved mapping.

message
string

Operation receipt.

Example:

"Example"